For the complete documentation index, see llms.txt. This page is also available as Markdown.

Widget

Widgets

Add a Widget to a Playlist

post

Add a new Widget to a Playlist

Path parameters
typestringRequired

The type of the Widget e.g. text. Media based Widgets like Image are added via POST /playlist/library/assign/{playlistId} call.

playlistIdintegerRequired

The Playlist ID

Body
displayOrderintegerOptional

Optional integer to say which position this assignment should occupy in the list. If more than one media item is being added, this will be the position of the first one.

templateIdstringOptional

If the module type provided has a dataType then provide the templateId to use.

Responses
201

successful operation

post/playlist/widget/{type}/{playlistId}
POST /api/playlist/widget/{type}/{playlistId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 38

"displayOrder=1&templateId='text'"
201

successful operation

No content

Edit a Widget

put

Edit a widget providing new properties to set on it

Path parameters
idstringRequired

The ID of the Widget

Body
useDurationintegerOptional

Set a duration on this widget, if unchecked the default or library duration will be used.

durationintegerOptional

Duration to use on this widget

namestringOptional

An optional name for this widget

enableStatstringOptional

Should stats be enabled? On|Off|Inherit

isRepeatDataintegerOptional

If this widget requires data, should that data be repeated to meet the number of items requested?

showFallbackstringOptional

If this widget requires data and allows fallback data how should that data be returned? (never, always, empty, error)

propertiesintegerOptional

Add an additional parameter for each of the properties required this module and its template. Use the moduleProperties and moduleTemplateProperties calls to get a list of properties needed

Responses
204

successful operation

No content

put/playlist/widget/{id}
PUT /api/playlist/widget/{id} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 118

"useDuration=1&duration=1&name='text'&enableStat='text'&isRepeatData=1&showFallback='text'&properties=1"
204

successful operation

No content

Delete a Widget

delete

Deleted a specified widget

Path parameters
widgetIdintegerRequired

The widget ID to delete

Responses
200

successful operation

No content

delete/playlist/widget/{widgetId}
DELETE /api/playlist/widget/{widgetId} HTTP/1.1
Accept: */*
200

successful operation

No content

Adds In/Out transition

put

Adds In/Out transition to a specified widget

Path parameters
typestringRequired

Transition type, available options: in, out

widgetIdintegerRequired

The widget ID to add the transition to

Body
transitionTypestringRequired

Type of a transition, available Options: fly, fadeIn, fadeOut

transitionDurationintegerOptional

Duration of this transition in milliseconds

transitionDirectionintegerOptional

The direction for this transition, only appropriate for transitions that move, such as fly. Available options: N, NE, E, SE, S, SW, W, NW

Responses
201

successful operation

application/json
put/playlist/widget/transition/{type}/{widgetId}
PUT /api/playlist/widget/transition/{type}/{widgetId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 72

"transitionType='text'&transitionDuration=1&transitionDirection=1"
201

successful operation

{
  "widgetId": 1,
  "playlistId": 1,
  "ownerId": 1,
  "type": "text",
  "duration": 1,
  "displayOrder": 1,
  "useDuration": 1,
  "calculatedDuration": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "fromDt": 1,
  "toDt": 1,
  "schemaVersion": 1,
  "transitionIn": 1,
  "transitionOut": 1,
  "transitionDurationIn": 1,
  "transitionDurationOut": 1,
  "widgetOptions": [
    {
      "widgetId": 1,
      "type": "text",
      "option": "text",
      "value": "text"
    }
  ],
  "mediaIds": [
    1
  ],
  "audio": [
    {
      "widgetId": 1,
      "mediaId": 1,
      "volume": 1,
      "loop": 1
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "playlist": "text"
}

Parameters for edting/adding audio file to a specific widget

put

Parameters for edting/adding audio file to a specific widget

Path parameters
widgetIdintegerRequired

Id of a widget to which you want to add audio or edit existing audio

Body
mediaIdintegerOptional

Id of a audio file in CMS library you wish to add to a widget

volumeintegerOptional

Volume percentage(0-100) for this audio to play at

loopintegerOptional

Flag (0, 1) Should the audio loop if it finishes before the widget has finished?

Responses
200

successful operation

application/json
put/playlist/widget/{widgetId}/audio
PUT /api/playlist/widget/{widgetId}/audio HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 33

"mediaId=1&volume=1&loop=1"
200

successful operation

{
  "widgetId": 1,
  "playlistId": 1,
  "ownerId": 1,
  "type": "text",
  "duration": 1,
  "displayOrder": 1,
  "useDuration": 1,
  "calculatedDuration": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "fromDt": 1,
  "toDt": 1,
  "schemaVersion": 1,
  "transitionIn": 1,
  "transitionOut": 1,
  "transitionDurationIn": 1,
  "transitionDurationOut": 1,
  "widgetOptions": [
    {
      "widgetId": 1,
      "type": "text",
      "option": "text",
      "value": "text"
    }
  ],
  "mediaIds": [
    1
  ],
  "audio": [
    {
      "widgetId": 1,
      "mediaId": 1,
      "volume": 1,
      "loop": 1
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "playlist": "text"
}

Delete assigned audio widget

delete

Delete assigned audio widget from specified widget ID

Path parameters
widgetIdintegerRequired

Id of a widget from which you want to delete the audio from

Responses
200

successful operation

No content

delete/playlist/widget/{widgetId}/audio
DELETE /api/playlist/widget/{widgetId}/audio HTTP/1.1
Accept: */*
200

successful operation

No content

Set Widget From/To Dates

put

Control when this Widget is active on this Playlist

Path parameters
widgetIdintegerRequired

Id of a widget to which you want to add audio or edit existing audio

Body
fromDtstringOptional

The From Date in Y-m-d H::i:s format

toDtstringOptional

The To Date in Y-m-d H::i:s format

deleteOnExpiryintegerOptional

Delete this Widget when it expires?

Responses
200

successful operation

application/json
put/playlist/widget/{widgetId}/expiry
PUT /api/playlist/widget/{widgetId}/expiry HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 50

"fromDt='text'&toDt='text'&deleteOnExpiry=1"
200

successful operation

{
  "widgetId": 1,
  "playlistId": 1,
  "ownerId": 1,
  "type": "text",
  "duration": 1,
  "displayOrder": 1,
  "useDuration": 1,
  "calculatedDuration": 1,
  "createdDt": "text",
  "modifiedDt": "text",
  "fromDt": 1,
  "toDt": 1,
  "schemaVersion": 1,
  "transitionIn": 1,
  "transitionOut": 1,
  "transitionDurationIn": 1,
  "transitionDurationOut": 1,
  "widgetOptions": [
    {
      "widgetId": 1,
      "type": "text",
      "option": "text",
      "value": "text"
    }
  ],
  "mediaIds": [
    1
  ],
  "audio": [
    {
      "widgetId": 1,
      "mediaId": 1,
      "volume": 1,
      "loop": 1
    }
  ],
  "permissions": [
    {
      "permissionId": 1,
      "entityId": 1,
      "groupId": 1,
      "objectId": 1,
      "isUser": 1,
      "entity": "text",
      "objectIdString": "text",
      "group": "text",
      "view": 1,
      "edit": 1,
      "delete": 1,
      "modifyPermissions": 1
    }
  ],
  "playlist": "text"
}

Set Widget Region

put

Set the Region this Widget is intended for - only suitable for Drawer Widgets

Path parameters
widgetIdintegerRequired

Id of the Widget to set region on

Body
targetRegionIdstringRequired

The target regionId

Responses
204

successful operation

No content

put/playlist/widget/{widgetId}/region
PUT /api/playlist/widget/{widgetId}/region HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 25

"targetRegionId='text'"
204

successful operation

No content

Save elements to a widget

put

Update a widget with elements associated with it

Path parameters
widgetIdintegerRequired

Id of the Widget to set region on

Body
elementsstringRequired

JSON representing the elements assigned to this widget

Responses
204

successful operation

No content

put/playlist/widget/{widgetId}/elements
PUT /api/playlist/widget/{widgetId}/elements HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "elements": "text"
}
204

successful operation

No content

Widget DataType

put

Get DataType for a Widget according to the widgets module definition

Path parameters
widgetIdintegerRequired

Id of the Widget

Body
dataTypestringRequired

A JSON representation of your dataType

Responses
200

successful operation

No content

put/playlist/widget/{widgetId}/dataType
PUT /api/playlist/widget/{widgetId}/dataType HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "dataType": "text"
}
200

successful operation

No content

Get data for Widget

get

Return all of the fallback data currently assigned to this Widget

Path parameters
idintegerRequired

The Widget ID that this data should be added to

Responses
201

successful operation

application/json

Class representing widget data

idinteger · nullableOptional

The ID

widgetIdintegerOptional

The Widget ID

datastring[]Optional

Array of data properties depending on the widget data type this data is for

displayOrderintegerOptional

The Display Order

createdDtstring · nullableOptional

The datetime this entity was created

modifiedDtstring · nullableOptional

The datetime this entity was last modified

get/playlist/widget/data/{id}
GET /api/playlist/widget/data/{id} HTTP/1.1
Accept: */*
201

successful operation

[
  {
    "id": 1,
    "widgetId": 1,
    "data": [
      "text"
    ],
    "displayOrder": 1,
    "createdDt": "text",
    "modifiedDt": "text"
  }
]

Add a data to a Widget

post

Add fallback data to a data Widget

Path parameters
idintegerRequired

The Widget ID that this data should be added to

Body
datastringRequired

A JSON formatted string containing a single data item for this widget's data type

displayOrderintegerOptional

Optional integer to say which position this data should appear if there is more than one data item

Responses
201

successful operation

post/playlist/widget/data/{id}
POST /api/playlist/widget/data/{id} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"data='text'&displayOrder=1"
201

successful operation

No content

Edit data on a Widget

put

Edit fallback data on a data Widget

Path parameters
idintegerRequired

The Widget ID that this data is attached to

dataIdintegerRequired

The ID of the data to be edited

Body
datastringRequired

A JSON formatted string containing a single data item for this widget's data type

displayOrderintegerOptional

Optional integer to say which position this data should appear if there is more than one data item

Responses
204

successful operation

No content

put/playlist/widget/data/{id}/{dataId}
PUT /api/playlist/widget/data/{id}/{dataId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 32

"data='text'&displayOrder=1"
204

successful operation

No content

Delete data on a Widget

delete

Delete fallback data on a data Widget

Path parameters
idintegerRequired

The Widget ID that this data is attached to

dataIdintegerRequired

The ID of the data to be deleted

Responses
204

successful operation

No content

delete/playlist/widget/data/{id}/{dataId}
DELETE /api/playlist/widget/data/{id}/{dataId} HTTP/1.1
Accept: */*
204

successful operation

No content

Update the order of data on a Widget

post

Provide all data to be ordered on a widget

Path parameters
idintegerRequired

The Widget ID that this data is attached to

Bodyobject[]
dataIdintegerOptional

Data ID

displayOrderintegerOptional

Desired display order

Responses
204

successful operation

No content

post/playlist/widget/data/{id}/order
POST /api/playlist/widget/data/{id}/order HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31

[
  {
    "dataId": 1,
    "displayOrder": 1
  }
]
204

successful operation

No content

Last updated

Was this helpful?